import { useState, useEffect } from "react";

import Timer from "../Timer";
import type { Clue } from "../store/cluesSlice";
import { socket } from "../socket";

interface Props {
  activeClue: Clue;
}

const ClueDisplay = ({ activeClue }: Props) => {
  const [startTime, setStartTime] = useState<number | null>(null);
  useEffect(() => {
    socket.on("clue-clock-on", () => setStartTime(Date.now()));
  }, []);
  return (
    <>
      <div className="text-center fs-1">{activeClue.question}</div>
      <Timer startTime={startTime} length={5000} />
    </>
  );
};

export default ClueDisplay;
